Package org.apache.tomcat.websocket

## Class WsPongMessage

- java.lang.Object
- - org.apache.tomcat.websocket.WsPongMessage

- All Implemented Interfaces:
    `PongMessage`

      public class WsPongMessage
      extends java.lang.Object
      implements PongMessage

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WsPongMessage​(java.nio.ByteBuffer applicationData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.nio.ByteBuffer` | `getApplicationData()` | Get the payload of the Pong message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsPongMessage

          public WsPongMessage​(java.nio.ByteBuffer applicationData)

  - ### Method Detail

    - #### getApplicationData

          public java.nio.ByteBuffer getApplicationData()

      Description copied from interface: `jakarta.websocket.PongMessage`
      Get the payload of the Pong message.
      Specified by:
        `getApplicationData` in interface `PongMessage`
      Returns:
        The payload of the Pong message.